ifeq ($(OSTYPE), msys)
CXXPLATFORMFLAGS=-D__WINDOWS__
LIBS= -L /usr/X11R6/lib -lopengl32 -lglu32 -lSDL_image \
      `sdl-config --cflags --libs` -ljpeg -lz -mwindows
LUA_DIR=/home/Rod/lua-5.0
EXE=$(EXEBASE).exe
else
LIBS= -L /usr/X11R6/lib -lSDL_image \
	`sdl-config --cflags --libs` -lGLU -lGL -ljpeg -lz
EXE=$(EXEBASE)
endif

ifeq ($(MODE), profile)
CXXOPTFLAGS=-pg -O3 -fomit-frame-pointer
LDOPTFLAGS=-pg
else
ifeq ($(MODE), debug)
CXXOPTFLAGS=-g
else
CXXOPTFLAGS=-O3 -fomit-frame-pointer
#CXXOPTFLAGS= -march=athlon-tbird -O3 -pipe -fforce-addr -fomit-frame-pointer \
             #-funroll-loops -falign-functions=4 -maccumulate-outgoing-args
endif
endif

LD=g++
CXXFLAGS=-Wall -I ../../include $(CXXEXTRAFLAGS) -I $(LUA_DIR)/include \
	 $(CXXPLATFORMFLAGS) $(CXXOPTFLAGS) $(CXXARCHFLAGS)
LDFLAGS=$(LDOPTFLAGS)
