/**************************************************************************

    This file is part of SaM3d!, yet another OpenGL-based engine.
    Copyright (C) 2001 - 2003 Rodolphe Suescun

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************
    $Id: image_transform.h,v 1.2 2003/08/31 10:04:34 rodzilla Exp $
*/

#ifndef __SAM3D_IMAGE_TRANSFORM_H__
#define __SAM3D_IMAGE_TRANSFORM_H__

#include <SaM3d/config.h>
#include <SaM3d/opengl.h>
#include <SDL/SDL.h>
 
namespace SaM3d {

	namespace ImageTransform {

		GLenum force_supported_format(SDL_Surface* image);

		void vertical_flip(SDL_Surface* image);

		void fix_size(SDL_Surface* image);

	}

}
 
#endif

