/**************************************************************************

    This file is part of "The Science and Magick 3d Engine", yet
    another OpenGL-based engine.
    Copyright (C) 2001 - 2003 Rodolphe Suescun

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************
    $Id: q3parser.h,v 1.1 2003/08/24 15:45:00 rodzilla Exp $
*/

#include "q3lexer.h"

#ifndef __SAM3D_Q3PARSER_H__
#define __SAM3D_Q3PARSER_H__

using namespace std;
using namespace SaM3d;

class CQ3ShaderManager::Parser {
	Dir m_dir;
	string m_filename;
	Lexer m_lex;

	Waveform* parse_waveform();

public:
	Parser(const Dir& d, const std::string& filename);

	void parse();
};

#endif
