/**************************************************************************

    This file is part of SaM3d!, yet another OpenGL-based engine.
    Copyright (C) 2001 - 2003 Rodolphe Suescun

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************
    $Id: main.cpp,v 1.1.1.1 2003/07/25 19:28:30 rodzilla Exp $

    This exemple shows how to use viewports and cameras.
*/

#include <SaM3d/display.h>
#include "lesson_02.h"
#include "lesson_03.h"
#include "lesson_04.h"
#include "lesson_05.h"
#include "lesson_06.h"

int main(int argc, char ** argv) {
	//	Initialize the display.
	Display;

	{
		//	Create a loop for lesson 2.
		Lesson02 l;
		//	Start the loop.
		l.start();
	}

	{
		//	Create a loop for lesson 3.
		Lesson03 l;
		//	Start the loop.
		l.start();
	}

	{
		//	Create a loop for lesson 4.
		Lesson04 l;
		//	Start the loop.
		l.start();
	}

	{
		//	Create a loop for lesson 5.
		Lesson05 l;
		//	Start the loop.
		l.start();
	}

	{
		//	Create a loop for lesson 6.
		Lesson06 l;
		//	Start the loop.
		l.start();
	}

	//	Exit the program.
	return 0;
}

