/**************************************************************************

    This file is part of SaM3d!, yet another OpenGL-based engine.
    Copyright (C) 2001 - 2003 Rodolphe Suescun

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************
    $Id: config.h,v 1.4 2003/08/15 17:15:09 rodzilla Exp $
*/

#ifndef __SAM3D_CONFIG_H__
#define __SAM3D_CONFIG_H__

#ifdef __WINDOWS__

#include <windows.h>

#define RESTORE_OPENGL_CONTEXT_ON_RESOLUTION_CHANGE

char* strsep(char **stringp, char *delim);
char* basename (const char *fname);

#endif

namespace SaM3d {

	char * dirname (const char *fname);

}

#endif
