/**************************************************************************

    This file is part of SaM3d!, yet another OpenGL-based engine.
    Copyright (C) 2001 - 2003 Rodolphe Suescun

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************
    $Id: lesson_05.h,v 1.1.1.1 2003/07/25 19:28:30 rodzilla Exp $
*/

#ifndef __NEHE_LESSON_05_H__
#define __NEHE_LESSON_05_H__

#include <SaM3d/camera.h>
#include <SaM3d/loop.h>

class Lesson05 : public SaM3d::Loop {
	SaM3d::Camera m_camera;
	float m_angle_pyramid;
	float m_angle_cube;

	virtual bool handle_key_pressed(const SDL_keysym *keysym);

public:
	Lesson05();

	virtual void init();
	virtual void draw();
	virtual void move(const float dt);
};	

#endif

